<?php

namespace App\Generated\V1\Messages\Notice;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class UpdateNoticeByKeyMessage extends Message
{
    use ValueHelper;

    protected $key;
    protected $isOpen;

    /**
     * 通知key
     * @return string
     */
    public function getKey()
    {
        return $this->key;
    }

    /**
     * 开关
     * @return boolean|null
     */
    public function getIsOpen()
    {
        return $this->isOpen;
    }

    /**
     * 开关
     * @return boolean|null
     */
    public function isIsOpen()
    {
        return $this->isOpen;
    }

    public function requestRules()
    {
        return [
            ['key', 'key', 'bail|string', Constants::STRING, null],
            ['isOpen', 'is_open', 'bail|nullable|boolean', Constants::BOOLEAN | Constants::OPTIONAL, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
